"""
Test the Poi issue response form.
"""

from retrans.poi import testing


class TestPoiIssueResponse(testing.RetransPoiTestCase):
    """
    Test the Poi issue response form.
    """

    def test_empty_content(self):
        """
        The empty tracker and issue have enough set up to work for tests.
        """
        tracker = self.layer['tracker']
        self.setUpBrowser()
        self.browser.open(tracker.absolute_url())
        self.browser.open(tracker['1'].absolute_url())

        self.assertIn(
            'complexity', self.browser.contents, 'Missing custom fields')
        self.assertIn(
            'Operations ROI - Estimated', self.browser.contents,
            'Exported CSV missing custom issue field')
